org.apache.cassandra.streaming.management

## Class StreamEventJMXNotifier

- java.lang.Object
- - javax.management.NotificationBroadcasterSupport
  - - org.apache.cassandra.streaming.management.StreamEventJMXNotifier

All Implemented Interfaces:
  com.google.common.util.concurrent.FutureCallback<StreamState>, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, StreamEventHandler

    public class StreamEventJMXNotifier
    extends javax.management.NotificationBroadcasterSupport
    implements StreamEventHandler

### Constructor Summary

Constructors
Constructor and Description
`StreamEventJMXNotifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleStreamEvent(StreamEvent event)` Callback for various streaming events.
`void` `onFailure(java.lang.Throwable t)`
`void` `onSuccess(StreamState result)`

### Methods inherited from class javax.management.NotificationBroadcasterSupport

`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamEventJMXNotifier

    public StreamEventJMXNotifier()

### Method Detail

#### handleStreamEvent

    public void handleStreamEvent(StreamEvent event)

Description copied from interface: `StreamEventHandler`
Callback for various streaming events.

Specified by:
  `handleStreamEvent` in interface `StreamEventHandler`
Parameters:
  `event` - Stream event.
See Also:
  `StreamEvent.Type`

#### onSuccess

    public void onSuccess(StreamState result)

Specified by:
  `onSuccess` in interface `com.google.common.util.concurrent.FutureCallback<StreamState>`

#### onFailure

    public void onFailure(java.lang.Throwable t)

Specified by:
  `onFailure` in interface `com.google.common.util.concurrent.FutureCallback<StreamState>`